> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim profile



## OpenAPI

````yaml get /{shopId}/users/6334a756045725f5fca4db29/claim
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/users/6334a756045725f5fca4db29/claim:
    get:
      tags:
        - Shops
        - Users
      summary: Claim profile
      description: Claim profile
      operationId: claimProfile
      parameters:
        - name: token
          in: query
          schema:
            type: string
            example: >-
              4a025c99baf502099f2a719ed81adefd6563582cdc4a1ba7bcae65442a32e98834616a6c90704201882e627248a08b50
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  example: adeyinkabadmus@ygl.com
                fullName:
                  type: string
                  example: Akinsola Akinkunmie
                role:
                  type: object
                  properties:
                    action:
                      type: string
                      example: suspend
                    key:
                      type: string
                      example: assistant
                whatsApp:
                  type: string
                  example: '+2347062470043'
            example:
              email: adeyinkabadmus@ygl.com
              fullName: Akinsola Akinkunmie
              role:
                action: suspend
                key: assistant
              whatsApp: '+2347062470043'
      responses:
        '200':
          description: ''

````